<?php
class Aeropuertos extends Controller {

	function __construct()
	{
		parent::Controller();
		header ('Content-type: text/html; charset=utf-8');
	
	}
	
	function index() {}
	
	
	function importa_aeropuertos() {
		
		//se trata de leer y tratar un csv para importar
		
		$csv = getcwd()."/aeropuertos/aeropuertos.csv";
		
		
		//echo $csv;
		
		if (is_file($csv)) {
			


$fp = fopen ( $csv , "r" ); 
			$linea = 1;
			echo '<table border="1" cellspacing="0" cellpadding="0">';
while (( $data = fgetcsv ( $fp , 1000 , "," )) !== FALSE ) {
	echo '<tr>';
	echo '<td>'.$linea.'</td>';
// Mientras hay l�neas que leer... 
//echo '<h3>'.utf8_decode('Línea').': '.$linea.'</h3>';

$i = 0; 
foreach($data as $row) {
	
	echo '<td>';
 // Muestra todos los campos de la fila actual
if ($linea>=296 && $i==2) {echo utf8_decode(number_format(($row/100),2,',','.'));}
elseif ($linea>=296 && $i>=4) {
	if ($row!="") {
		$row = str_replace('.','',$row);
		$row = str_replace(',','',$row);
		echo utf8_decode(number_format(($row/100),2,',','.'));
	}
}
else {echo utf8_decode($row);} 
$i++ ;
echo '</td>';
}
++$linea;
echo '</tr>';
} 
echo '</table>';
fclose ( $fp ); 












		} else {
			echo '<h2>No existe el fichero</h2>';
		}
		
		
	}
}
?>